% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/contract.R
\name{contract}
\alias{contract}
\title{Contract lists of dates into messy dates}
\usage{
contract(x, collapse = TRUE)
}
\arguments{
\item{x}{A list of dates}

\item{collapse}{Do you want ranges to be collapsed?
TRUE by default.
If FALSE ranges are returned in compact format.}
}
\value{
A \code{messydt} vector
}
\description{
This function operates as the opposite of \code{expand()}.
It contracts a list of dates into the abbreviated annotation
of messy dates.
}
\examples{
d <- as_messydate(c("2001-01-01", "2001-01", "2001",
"2001-01-01..2001-02-02", "{2001-10-01,2001-10-04}",
"{2001-01,2001-02-02}", "28 BC", "-2000-01-01"))
e <- expand(d)
tibble::tibble(d, contract(e))
}
